# Supporting the patcher

OpenCore Legacy Patcher is a hobby project for us developers, and while we love helping out the community it's very difficult for us to troubleshoot issues remotely. The best way for us to get to work on the patcher, fix issues and add enhancements is having the hardware in-hand. As a hobby project, neither of the main developers can afford to buy every legacy Mac to test on.

The best way to support us in all honesty is to donate any old hardware you no longer need, as this allows us to have machines to test locally and push fixes much faster. While we appreciate cash donations, this makes it much more difficult for us to handle as an organization.

Main sections of help we'd appreciate:

* Donating any Mac you own
  * Does require SSE4,1 CPU to test on Sierra and newer however
* Donating any spare SATA SSDs
  * Having extra SSDs on hand allows us to quickly and easily test specific builds of macOS without having to wipe drives and reinstall as much
* Aiding by buying items in our Amazon Wishlist
  * Currently we have a few members within Dortania testing so we recommend messaging the email listed below to see which member at the time would require something purchased the most

Additionally, hardware info dumps are greatly beneficial for us to determine what patches a machine might need:

* [IORegistryExplorer](https://github.com/khronokernel/IORegistryClone/blob/master/ioreg-210.zip?raw=true)
  * `File -> SaveAs` and open an issue on Github
  * Note: We want IOReg dumps of hardware not running on OpenCore, instead running a clean, officially supported OS by the machine

If you have any legacy hardware you're willing to donate or what to buy us something, please contact us at the following email:

* khronokernel@icloud.com

Current hardware we own:

| Model | CPU | GPU | Owner | Notes |
| :--- | :--- | :--- | :--- | :--- |
| MacBook5,1 | Penryn | 9400M | Mykola | N/A |
| MacBook7,1 | Penryn | GT320M | Dhinak | N/A |
| MacBook7,1 | Penryn | GT320M | Mykola | N/A |
| MacBookPro5,3 | Penryn | 9400M + 9600M | Dhinak | Display's partially broken |
| MacBookPro8,2 | Sandy Bridge | HD3000 | Mykola | Dead dGPU |
| MacPro3,1 | Penryn | GTX 680 | Dhinak | N/A |
| Macmini4,1 | Penryn | GT320M | Dhinak | N/A |

Dead Hardware:
| Model | CPU | GPU | Owner | Notes |
| :--- | :--- | :--- | :--- | :--- |
| MacPro3,1 | Penryn | HD5770, RX570, GT710 | Mykola | No longer powers on |
| MacPro4,1 | Westmere | HD7950 | Mykola | Dead Northbridge on CPU Tray |
